FlowHandleImpl
Keywords: net.corda.core.messaging.FlowHandleImpl class
Date: 2023-09-18

net.corda.core.messaging

## Class FlowHandleImpl<A>

- net.corda.core.messaging.FlowHandleImpl<A>

- All Implemented Interfaces:
    FlowHandle<A>

      public class FlowHandleImpl<A>
      implements FlowHandle<A>

- - ### Constructor Detail

    - #### FlowHandleImpl

          public FlowHandleImpl(@NotNull
                                StateMachineRunId id,
                                @NotNull
                                CordaFuture<A> returnValue)

      Parameters:
        `id` - The started state machine's ID.
        `returnValue` - A `interface CordaFuture` of the flow's return value.

  - ### Method Detail

    - #### close

          public void close()

      Use this function for flows whose returnValue is not going to be used, so as to free up server resources.

    - #### getId

          @NotNull
          public StateMachineRunId getId()

      The started state machine

      's ID.

    - #### getReturnValue

          @NotNull
          public CordaFuture<A> getReturnValue()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### component1

          @NotNull
          public StateMachineRunId component1()

      The started state machine

      's ID.

    - #### component2

          @NotNull
          public CordaFuture<A> component2()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### copy

          @NotNull
          public FlowHandleImpl<A> copy(@NotNull
                                                 StateMachineRunId id,
                                                 @NotNull
                                                 CordaFuture<A> returnValue)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)